<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('_jahesh_operation_histories', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedSmallInteger('jahesh_operation_id')->nullable()->index('jahesh_operation_histories_jahesh_operation_id_foreign');
            $table->unsignedInteger('user_id')->nullable()->index('jahesh_operation_histories_user_id_foreign');
            $table->string('previous_operation_1')->nullable();
            $table->string('previous_operation_2')->nullable();
            $table->string('previous_operation_3')->nullable();
            $table->string('previous_operation_4')->nullable();
            $table->string('previous_operation_5')->nullable();
            $table->string('previous_operation_6')->nullable();
            $table->string('previous_operation_7')->nullable();
            $table->string('previous_operation_8')->nullable();
            $table->string('previous_operation_9')->nullable();
            $table->string('previous_operation_10')->nullable();
            $table->string('previous_operation_11')->nullable();
            $table->string('previous_operation_12')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('_jahesh_operation_histories');
    }
};
